get
/v1/kubernetes/clustersList Kubernetes clusters
List all Kubernetes clusters in the current organization
Query Parameters
limit
integeroptionalquery
Maximum number of items to return
Default: 20
Example: 20
marker
string<uuid>optionalquery
ID of the last item from the previous page (for pagination)
Example: "550e8400-e29b-41d4-a716-446655440000"
name
stringoptionalquery
Filter by name (exact match or prefix with *)
Example: "web-*"
status
stringoptionalquery
Filter by cluster status
Responses
200
List of clusters
Content-Type: application/json
clusters
arrayoptionalmeta
objectoptionallinks
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/kubernetes/clusters" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
List of clusters
{"clusters": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:kubernetes:cluster:550e8400-e29b-41d4-a716-446655440000","name": "production-cluster","status": "CREATE_COMPLETE","status_reason": "string","health_status": "HEALTHY","health_status_reason": {},"cluster_template_id": "550e8400-e29b-41d4-a716-446655440001","keypair": "my-keypair","docker_volume_size": 50,"labels": {"kube_dashboard_enabled": "true","auto_scaling_enabled": "true"},"master_flavor_id": "550e8400-e29b-41d4-a716-446655440000","flavor_id": "550e8400-e29b-41d4-a716-446655440000","master_count": 3,"node_count": 5,"create_timeout": 0,"api_address": "https://192.168.1.100:6443","coe_version": "v1.28.0","master_addresses": ["string"],"node_addresses": ["string"],"stack_id": "550e8400-e29b-41d4-a716-446655440000","fixed_network": "550e8400-e29b-41d4-a716-446655440000","fixed_subnet": "550e8400-e29b-41d4-a716-446655440000","floating_ip_enabled": true,"master_lb_enabled": true,"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}],"meta": {"total": 150,"limit": 20,"marker": "550e8400-e29b-41d4-a716-446655440000","has_more": true},"links": {"self": "https://api.spo1.mycloud.com/v1/instances?limit=20","next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000","previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"}}